Get
[POST] .../v1/itemgroup/get
Returns item groups. Load item groups for catalog navigation, item creation forms and integration synchronization of the product hierarchy. The response returns active item groups with parent_id, path, name, child_count and last_update; the request supports id, parent_id, name and path filters. The caller must have item group select permission; missing body, denied access, invalid filters, storage errors and cache/storage failures are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Item group IDs. |
| name | string | Item group name. Used as a contains search by the current implementation. |
| parent_id | int | Parent item group IDs. |
| path | string | Group path. Nested groups are separated by slash. Used as a contains search by the current implementation. |
Request Example
{
"filters": [
{
"Field": "name",
"Operator": "Like",
"Value": "Groceries"
},
{
"Field": "parent_id",
"Operator": "In",
"Value": "1"
},
{
"Field": "path",
"Operator": "Like",
"Value": "Products/Groceries"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of ItemGroup | Result object. |
Response Example
{
"ok": true,
"result": [
{
"id": 10,
"parent_id": 1,
"path": "Products/Groceries",
"name": "Groceries",
"child_count": 2,
"last_update": 1712345600
}
]
}